#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

red = Create_String(String, "red", (255, 0, 0))
red.Add_Sequence("10")

blue = Create_String(String, "blue", (120, 120, 255))
blue.Add_Sequence("01")

red = Create_Component(Light_Control, red)
blue = Create_Component(Light_Control, blue)

Create_Component(D_Flip_Flop)
Create_Component(Not_Gate)

one = Create_Component(Stimulator_Simple, ST_ONE)

Meta_Data(text = "Very Flashy Tree",
    image = "tree1",
    dis_inputs = True,
    desc = "On this level, arrange for the red and blue lights to "
        "flash alternately. Easy, right?\n\n"
        "The trick is that, this time, you don't get any flashing input "
        "signals. You have to do it with just a Not component and a Delay "
        "component.\n\n"
        "Hint: What happens if you connect the Delay's output to itself "
        "directly? And via 'Not'?")

