#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

(one, two, three) = Gen_Sledge(Create_String)
one.Add_Sequence("100")
two.Add_Sequence("010")
three.Add_Sequence("001")

Create_Component(Light_Control, one)
Create_Component(Light_Control, two)
Create_Component(Light_Control, three)

clockA = Create_Component(Stimulator, "A", "011")
clockB = Create_Component(Stimulator, "B", "101")

Create_Component(And_Gate)
Create_Component(Not_Gate)
Create_Component(Not_Gate)


Meta_Data(text = "Santa's Sleigh",
    desc = "The lights on this level show Santa in his sleigh. You need "
        "to make the lights flash as if Santa is moving down a hill, i.e. "
        "rightmost light (R), then middle light (M), then leftmost light (L), "
        "then repeat.\n\n"
        "Hint: Look carefully at the input signals, using the 'Speed Control' "
        "if it helps. Above the 'Speed Control', you'll see three graphs: "
        "Output History, which shows what your wiring is producing, "
        "Input, which shows the sequence of input conditions, "
        "and Goal Output, which shows what your wiring should be producing. "
        "Looking at Input should help you to see how R, M and L should be "
        "wired up. You only "
        "need one component between each input signal and each output.")

